%
% Codici MATLAB per il corso di Calcolo Numerico 2007/2008
% Esercitazione n.5 (Enrico Bertolazzi)
%
% Solutore di Eulero
%
function [t,y] = eulero( fun, t0, y0, T, N )
  h = T/N ;       % calcola passo avanzamento
  t = t0:h:t0+T ; % calcola vettore tempi discrtizzati
  y(1) = y0 ;     % condizione iniziale
  for k=1:N
    % avanzamento con la formula di eulero
    y(k+1) = y(k) + h*feval(fun, t(k), y(k) ) ; 
  end ;
end